• 已解决 35369 个问题
  • 已帮助 5838 位优秀工程师

qt连接mysql数据库版本的问题

donatello 2018-03-06 浏览量:342

以前做的项目用的mysql版本是5.4,现在已经更新到5.7了,qt的版本是5.9,请问mysql版本更新之后qt的驱动需要重新编译吗?如果要重新编译的话,工程的位置在哪呢?

0 0 收起

我来回答

上传资料:
选择文件 文件大小不超过15M(格式支持:doc、ppt、xls、pdf、zip、rar、txt)
最佳答案
  • mysql是标准接口的sql数据库,版本更新一般只修改的内部实现和性能修复,接口很少变化,对应的驱动程序也就不需要修改和编译
    • 发布于 2018-03-06
    • 举报
    • 评论 0
    • 0
    • 0

其他答案 数量:3
  • 可以正常访问的话,就不用更新
    • 发布于2018-03-06
    • 举报
    • 评论 0
    • 0
    • 0

  • 如果所有的程序都是使用的统一版本的编译器,那么应该是不用的,
    • 发布于2018-03-06
    • 举报
    • 评论 0
    • 0
    • 0

  • 不用更新,因为版本变了,但是API没变
    • 发布于2018-03-07
    • 举报
    • 评论 0
    • 0
    • 0

qt连接mysql数据库版本的问题